import { Component, OnInit, Input } from '@angular/core';

@Component({
  selector: 'omnipresent-web-accordian',
  templateUrl: './accordian.component.html',
  styleUrls: ['./accordian.component.scss']
})
export class AccordianComponent implements OnInit {
  @Input() name: string;
  show: boolean;
  constructor() {
    this.show = false;
    this.name = 'accordian name';
  }

  ngOnInit() {}

  onShow() {
    this.show = !this.show;
  }
}
