import { Component, OnInit, Input } from '@angular/core';
import { Notification } from '../notification/notification.model';

@Component({
  selector: 'omnipresent-web-notification-dropdown-list',
  templateUrl: './notification-dropdown-list.component.html',
  styleUrls: ['./notification-dropdown-list.component.scss']
})
export class NotificationDropdownListComponent implements OnInit {
  @Input() open: boolean;
  @Input() notifications: Notification[];

  constructor() { }

  ngOnInit() {
  }
  showNotifications() {
    this.open = !this.open;
  }

}
