import { Component, OnInit, HostListener, Input } from '@angular/core';
import { Profile } from './profile.model';

@Component({
  selector: 'omnipresent-web-profile',
  templateUrl: './profile.component.html',
  styleUrls: ['./profile.component.scss']
})
export class ProfileComponent implements OnInit {
  @Input() profile: Profile;
  @Input() greeting: string;
  isOpen = false;

  constructor() { }

  ngOnInit() {
  }

  toggle(event) {
    event.stopPropagation();
    this.isOpen = !this.isOpen;
  }
  @HostListener('document:click', ['$event']) clickout(event) {
    this.isOpen = false;
  }

}
