import { Component, OnInit } from '@angular/core';
import { Notification } from 'projects/omnipresent-web-lib/src/lib/notification/notification.model';

@Component({
  selector: 'app-notification-tester',
  templateUrl: './notification-tester.component.html',
  styleUrls: ['./notification-tester.component.scss']
})
export class NotificationTesterComponent implements OnInit {
  open: boolean;
  notifications: Notification[];

  constructor() { }

  ngOnInit() {
    this.notifications = this.getNotifications();
  }

  getNotifications() {
    let notifications: Notification[];
    notifications = [new Notification(
      '1',
       '../../assets/images/notify1.png',
       '' + new Date().getDate(),
        'Congratulate Socrates Itumay for work anniversaries')];
    return notifications;
  }

}
