# OmnipresentWebLib

This project was generated with [Angular CLI](https://github.com/angular/angular-cli) version 7.3.8.

## How this Library was created

### In the terminal using angluar cli create an empty project
`ng new omnipresent-web-lib --create-application=false --style=scss`
### change directory into the project you created 
`cd omnipresent-web-lib/`
### generate library
`ng generate library omnipresent-web-lib --prefix=omnipresent-web`
### generate tester application to test library
`ng generate application omnipresent-web-tester`

## How to build library
`ng build omnipresent-web-lib`
## How to build tester application
`ng build omnipresent-web-tester --prod`
## How to run tester application
`ng serve omnipresent-web-tester`

Navigate to `http://localhost:4200/`. The app will automatically reload if you change any of the source files.

## Code scaffolding

Run `ng generate component component-name` to generate a new component. You can also use `ng generate directive|pipe|service|class|guard|interface|enum|module`.

## Running unit tests

Run `ng test` to execute the unit tests via [Karma](https://karma-runner.github.io).

## Running end-to-end tests

Run `ng e2e` to execute the end-to-end tests via [Protractor](http://www.protractortest.org/).

## Further help

To get more help on the Angular CLI use `ng help` or go check out the [Angular CLI README](https://github.com/angular/angular-cli/blob/master/README.md).

Library creation
https://blog.angularindepth.com/angular-workspace-no-application-for-you-4b451afcc2ba


# Font awesome

### Installation
Install font awesome
`npm install @fortawesome/fontawesome-free`

Import fontawesome into styles.scss
` @import "~@fortawesome/fontawesome-free/css/all.css";`

### Usage

Add the icon tag to html

`<i class="fab fa-twitter"></i>`

example if I want a button with the google Icon

   `<button style = "background-color: #60b5f0;">
      <i style="margin-right: 5px;" class="fab fa-twitter"></i>
      <span>Login with Google</span>
    </button> `

![ icon image ](readmeImages/icon.png)


# Firebase 

Auth tutorial
https://angular-templates.io/tutorials/about/firebase-authentication-with-angular
