import { Injectable } from '@angular/core';
import { of } from 'rxjs';
import { delay } from 'rxjs/operators';
import { Profile } from './profile/profile.model';
@Injectable({
  providedIn: 'root'
})
export class OmnipresentWebLibService {
  constructor() {}
  sendData() {
    var data = 'data';
    return of(data).pipe(delay(2000));
  }
  userinfo() {
    let user: Profile = {
      profileId: 'rg5t',
      profileImage:
        'https://upload.wikimedia.org/wikipedia/en/thumb/a/a9/MarioNSMBUDeluxe.png/220px-MarioNSMBUDeluxe.png',
      name: 'mario',
      gender: 'male',
      nationality: 'italian'
    };
    return of(user).pipe(delay(2000));
  }
}
