import { Component, OnInit } from '@angular/core';
import { OmnipresentWebLibService } from 'projects/omnipresent-web-lib/src/public-api';

@Component({
  selector: 'app-loading-spinner-tester',
  templateUrl: './loading-spinner-tester.component.html',
  styleUrls: ['./loading-spinner-tester.component.scss']
})
export class LoadingSpinnerTesterComponent implements OnInit {
  data:any;
  loading:boolean;
  constructor(private service: OmnipresentWebLibService) { }

  ngOnInit() {
    this.searchBoard();
  }

  searchBoard() {
    this.loading = true;
    this.service.sendData().subscribe(data => {
      this.data= data;
      this.loading = false;
    }, error => {
      this.loading = false;
    });
  }
}
