import { Component, OnInit } from '@angular/core';
import { Profile } from 'projects/omnipresent-web-lib/src/lib/profile/profile.model';

@Component({
  selector: 'app-profile-tester',
  templateUrl: './profile-tester.component.html',
  styleUrls: ['./profile-tester.component.scss']
})
export class ProfileTesterComponent implements OnInit {
  greeting: string;
  profile: Profile;

  constructor() {
    this.greeting = this.getGreeting();
    this.profile = this.getProfile();
   }

  ngOnInit() {

  }

  getGreeting() {
    return 'Good Morning';
  }
  getProfile() {
    let profile: Profile = new Profile();
    profile.profileId = '1';
    profile.title = 'Manager';
    profile.name = 'Samuel Peters';
    profile.profileImage = 'https://content-static.upwork.com/uploads/2014/10/02123010/profilephoto_goodcrop.jpg';
    profile.idNumber = '63748989903';
    profile.language = 'English';
    return profile;
  }

}
