import { Component, OnInit } from '@angular/core';
import { of } from 'rxjs';
import { delay } from 'rxjs/operators';
import { OmnipresentWebLibService } from 'projects/omnipresent-web-lib/src/public-api';
@Component({
  selector: 'app-user-info-tester',
  templateUrl: './user-info-tester.component.html',
  styleUrls: ['./user-info-tester.component.scss']
})
export class UserInfoTesterComponent implements OnInit {
  constructor(private service: OmnipresentWebLibService) {}
  name = 'mario';
  info: any;
  ngOnInit() {
    this.service.userinfo().subscribe(user => {
      this.info = user;
    });
  }
}
